<template>
	<view>
		<view :style="'bottom:' + inputStyle + 'px;'" class="sendinput">
			<input @blur="bindblur" @keyboardheightchange="bindkeyboardheightchange" v-model="sendMsg" type="text" :adjust-position='false' confirm-type='send' cursor-spacing=15 :placeholder="holder"/>
			<view @click="send">发送</view>
		</view>
		<view class="comment">
			<view> 评论({{ config.total }}) </view>
			
		</view>
	</view>
</template>

<script lang="ts">
	import {
		Vue,
		Component,
		Prop,
		Watch
	} from "vue-property-decorator";
	
	@Component({})
	export default class ArticleCom extends Vue {


		@Prop({
			// 父组件传递给子组件的数据类型
			type: Object,

			// 是否必填
			required: false,

			// 默认值， 如果传入的是 Object，则要 default: ()=>({}) 参数为函数
			default: () => ({
				
			})
		}) config!: commentCom.config;

	  // 发送数据绑定
		private sendMsg: string = ''

		// 
		private inputStyle: number = 0
		
		// 点击回复
		send() {
			// this.$emit('commening', this.sendMsg)
			// this.$emit('reply', 0)
			// this.config.onClick.commening(this.sendMsg)
			// console.info(this, this.config)
			// console.info(this.config.onClick)
		}

		// style
		styleobjTostring(style: any){
			let arr = []
			let obj = style.obj
			if(style.bg) obj['background-color'] = style.bg
			if(style.color) obj.color = style.color
			for(let key in obj){
				arr.push(`${key}: ${obj[key]}`)
			}
			return arr.join(';')
		}

		bindkeyboardheightchange(e: any) {
			this.inputStyle = e.detail.height || 0
		}

		bindblur() {
			this.inputStyle = 0
		}
	}
</script>

<style lang="scss" scoped>
	.sendinput {
		position: fixed;
		bottom: 0rpx;
		left: 0rpx;
		width: 750rpx;
		height: 92rpx;
		padding: 21rpx 30rpx;
		display: flex;
		justify-content: center;
		align-items: center;
		box-sizing: border-box;
		border-top: 1rpx solid #E5E5E5;
		background-color: #FFFEFF;
		input {
			width: 618rpx;
			height: 50rpx;
			border: 1rpx solid rgba(153, 153, 153, 1);
			border-radius: 10rpx;
			font-size: 28rpx;
			font-family: PingFang SC;
			font-weight: 400;
			padding-left: 15rpx;
			display: flex;
			/* justify-content: center; */
			align-items: center;
		}
		view {
			margin-left: 20rpx;
			width: 90rpx;
			height: 50rpx;
			display: flex;
			justify-content: center;
			align-items: center;
			border-radius: 15rpx;
			font-size: 27rpx;
			background-color: #D1D1D1;
		}
	}


	.findDetails-liao {
		margin-top: 30rpx;
		padding-bottom: 80rpx;
	}

	.comment {
		width: 100vw;
		min-height: 300rpx;
		background-color: #FFFEFF;
		> view:nth-child(1){
			height: 80rpx;
			line-height: 80rpx;
			text-align: center;
			font-size: 30rpx;
		}
	}
</style>
